Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455069 - Review Request: Xpad - Sticky notepad for GTK+2
Summary: Review Request: Xpad - Sticky notepad for GTK+2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 193499 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 20:06 UTC by Stefan Posdzich
Modified: 2008-07-23 07:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-19 18:16:05 UTC
thomas.moschny: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stefan Posdzich 2008-07-11 20:06:22 UTC
Spec: http://cheekyboinc.spielen-unter-linux.de/xpad.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/xpad-2.14-1.fc9.src.rpm

Description:

Xpad is a sticky note application written using GTK+ 2.0 that strives to be simple, fault-tolerant, and customizable. Xpad consists of independent pad windows; each is basically a text box in which notes can be written. Despite being called xpad, all that is needed to run or compile it is the GTK+ 2.0 libraries.

-----------------------

I know there is an old Review Request for Xpad:
https://bugzilla.redhat.com/show_bug.cgi?id=193499

I opened a new review because of the age and the ownership.
The links are also down.

Comment 1 Patrice Dumas 2008-07-11 20:28:40 UTC
*** Bug 193499 has been marked as a duplicate of this bug. ***

Comment 2 Thomas Moschny 2008-07-18 18:20:24 UTC
[x] = ok, [!] = not ok, [-] = not applicable

[x] package meets naming guidelines
[x] specfile is encoded in ascii or utf-8
[x] specfile matches base package name
[x] specfile uses macros consistently
[x] specfile is written cleanly
[x] specfile is written in AE
[x] changelog is present and has correct format
[x] license matches actual license
[x] license is open source-compatible
[x] license text is included in package
[x] source tag has correct url
[x] source files match upstream
    md5sum: 1e12e6aec8f03a656eb6427ba22c38d3
[x] latest version is packaged
[x] summary is concise
[x] dist tag is present
[x] buildroot is correct
[x] buildroot is prepped
[x] %clean is present
[!] proper build requirements
    libICE-devel is already required by libSM-devel
[!] proper requirements
    require hicolor-icon-theme (owns /usr/share/icons/hicolor/scalable/apps)
[x] uses %{?_smp_mflags}
[x] uses %{optflags}
[x] doesn't use %makeinstall
[x] package builds at least on one architecture
    tested on: f9/x86_64
[x] packages installs and runs at least on one architecture
    tested on: f9/x86_64
[x] rpmlint is quiet
[x] final provides/requires look sane
[-] ldconfig called in %post and %postun if required
[x] code, not content
[x] file permissions are appropriate
[x] debuginfo package looks usable
[-] config files marked as %config(noreplace)
[!] owns all the directories it creates
    see above
[-] static libraries in -devel subpackage
[-] header files in -devel subpackage
[-] development .so files in -devel subpackage
[-] pkgconfig files in -devel subpackage, requires pkgconfig
[x] no .la files
[x] doesn't need a -docs subpackage
[!] relevant docs are included
    please add NEWS, THANKS and TODO
[x] doc files are not needed at runtime
[x] provides a .desktop file, build-requires desktop-file-utils
[x] uses %find_lang, build-requires gettext

minor issue:
replace "%{_mandir}/man1/%{name}.1.*" with "%{_mandir}/man1/%{name}.1*"


Comment 3 Thomas Moschny 2008-07-18 18:23:17 UTC
Oh, and one blocker: Please fix the %description (the specfile in the src.rpm is
different from that in the link you gave).

Comment 4 Stefan Posdzich 2008-07-18 19:02:44 UTC
Spec: http://cheekyboinc.spielen-unter-linux.de/xpad.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/xpad-2.14-2.fc9.src.rpm

Changelog:

- description fixed
- Add doc NEWS, THANKS and TODO
- Add Requires: hicolor-icon-theme
- Remove BuildRequires: libICE-devel

Comment 5 Thomas Moschny 2008-07-18 19:14:34 UTC
Looks good.

APPROVED.

Comment 6 Stefan Posdzich 2008-07-18 19:23:03 UTC
New Package CVS Request
=======================
Package Name: xpad
Short Description: Sticky notepad for GTK+2
Owners: cheekyboinc
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-07-19 13:55:54 UTC
cvs done.

Comment 8 Fedora Update System 2008-07-19 18:16:46 UTC
xpad-2.14-2.fc8 has been submitted as an update for Fedora 8

Comment 9 Fedora Update System 2008-07-19 18:16:47 UTC
xpad-2.14-2.fc9 has been submitted as an update for Fedora 9

Comment 10 Fedora Update System 2008-07-23 07:09:23 UTC
xpad-2.14-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-07-23 07:18:25 UTC
xpad-2.14-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.